/*rx
** $VER: MiamiOnline.rexx 1.0 (02.10.98)
**
** Written by E.Bamberg <e.bamberg@trier-online.de>
**
** This script checks if Miami is launched and onlined
** if not it will do it for you
** 
**
*/




/* PLEASE INSERT YOUR SETTINGS HERE */ 


STACK      = "net:Miami_demo/Miami"
STACK_PORT = 'MIAMI.1'

/* This is the Script */

say "Checking TCP/IP Stack Port..."
address command WaitForPort STACK_PORT
if rc = 5 then
  do
	say "Starting TCP/IP Stack..."
   address command "c:run <>NIL: " || STACK
   address command WaitForPort STACK_PORT
	if rc = 5 then
	  do
		say "unable to start Miami..."
		exit
	  end;
	address MIAMI.1
	hide
  end;

say "Checking online state..."
address MIAMI.1
IsOnline
if rc=0 then
	do
	say "Going online..."
	OnLine
	end



